Subject: FVWM: Re: xpaint crashes with fvwm-2.0.39? (fwd)

From: Joerg Mertin <[email-masked]>
Date: Sat, 16 Dec 1995 22:50:15 +0100 (GMT+0100)

Hi,

=> > i'm using fvwm 2.0.39, under DEC ultrix 4.3, and whenever i try to load
=> > xpaint, i get:
=> 
=> > 12:24pm <help> [~]% xpaint
=> > X Error of failed request:  BadDrawable (invalid Pixmap or Window parameter)
=> >   Major opcode of failed request:  14 (X_GetGeometry)
=> >   Resource id in failed request:  0x0
=> >   Serial number of failed request:  544
=> >   Current serial number in output stream:  544
=> 
=> This error occurs with xpaint because you don't have enough colors left in
=> your colormap -- which is more likely because of fvwm's use of pixmaps,
=> etc. than if you were using mwm.  Get rid of your colorful background or
=> whatever for a sec, and it'll help.  I promise.

Well, What I noticed was that xpaint was compiled with xpm-lib V4.6,
and many people are using V4.7. The Problem is that some functions in
the V4.6 are different from Version 4.7. I too had the problem of
Xpaint crashing when using V4.7, downgraded and I can use it again :)
without it to crash. Recompiling it with Xpm's 4.7 is useless. Looks
like there are definitions using the V4.6 Version, and these seg-fault
when used with V4.7 :) So folks, downgrade, or link the V4.6
statically in xpaint :)

cu

-- 
*************************************************
*	It s not a trick :-) !! It s Linux   	*
*	      Smurphy, Email under: 		*
*	 [email-masked]		*
*	  [email-masked]		*
*            [email-masked]            *
*************************************************
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].